# 1. launch single navigation.
# 2. run this test.


import time
from System_Information_client import System_Information_Client
from utilities import setup_single_robot

process = setup_single_robot()

uri = "http://localhost:8012"
client = System_Information_Client(uri)

start_time = time.time()
while time.time() - start_time < 10:
    time.sleep(1)
    print(client.robot_position())
